ubuntu_lttng_smoke_test failed with module build on B-hwe-edge 5.3.0

Bug #1844764 reported by Po-Hsu Lin on 2019-09-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Unassigned
lttng-modules (Ubuntu)
Undecided
Marcelo Cerri
Bionic
Medium
Marcelo Cerri

Bug Description

[Impact]
The DKMS package won't work with new kernels on bionic.

[Test case]
Install and load the modules.

[Regression potential]
This might break the functioning of the module.

-----------------------------------

Module failed to build on B-hwe-edge (5.3.0):

 DKMS make.log for lttng-modules-2.10.8 for kernel 5.3.0-12-generic (i686)
 Fri Sep 20 03:27:45 UTC 2019
 make: Entering directory '/usr/src/linux-headers-5.3.0-12-generic'
 find: '/var/lib/dkms/lttng-modules/2.10.8/build/extra_version/patches/': No such file or directory
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-ring-buffer-client-discard.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-ring-buffer-client-overwrite.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-ring-buffer-metadata-client.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-ring-buffer-client-mmap-discard.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-ring-buffer-client-mmap-overwrite.o
 find: '/var/lib/dkms/lttng-modules/2.10.8/build/probes/../extra_version/patches/': No such file or directory
 find: '/var/lib/dkms/lttng-modules/2.10.8/build/lib/../extra_version/patches/': No such file or directory
 find: '/var/lib/dkms/lttng-modules/2.10.8/build/tests/../extra_version/patches/': No such file or directory
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/Kbuild:41: File ./arch/x86/kvm/lapic.h not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/tests/probes/lttng-test.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_backend.o
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/Kbuild:166: Files ./fs/btrfs/*.h not found. Probe "btrfs" is disabled. Use full kernel source tree to enable it.
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/Kbuild:182: Files ./fs/ext4/*.h not found. Probe "ext4" is disabled. Use full kernel source tree to enable it.
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/Kbuild:215: File ./drivers/base/regmap/trace.h not found. Probe "regmap" is disabled. Need Linux 4.1+ kernel source tree to enable it.
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/Kbuild:265: Files ./kernel/trace/trace.h not found. Probe "ftrace" is disabled. Use full kernel source tree to enable it.
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-sched.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/tests/clock-plugin/lttng-clock-plugin-test.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_frontend.o
   LD [M] /var/lib/dkms/lttng-modules/2.10.8/build/tests/lttng-test.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_iterator.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-irq.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-ring-buffer-metadata-mmap-client.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_vfs.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-clock.o
   LD [M] /var/lib/dkms/lttng-modules/2.10.8/build/tests/lttng-clock-plugin-test.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-timer.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-abi.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_splice.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-kmem.o
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.c: In function 'synchronize_trace':
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.c:92:2: error: implicit declaration of function 'synchronize_sched'; did you mean 'synchronize_srcu'? [-Werror=implicit-function-declaration]
   synchronize_sched();
   ^~~~~~~~~~~~~~~~~
   synchronize_srcu
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-string-utils.o
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.c: In function 'lttng_session_list_tracker_pids':
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.c:1121:15: warning: comparison of constant '2147483647' with boolean expression is always false [-Wbool-compare]
    1, INT_MAX) == INT_MAX) {
                ^~
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_mmap.o
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-string-utils.c: In function 'strutils_star_glob_match_char_cb':
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-string-utils.c:315:6: warning: this statement may fall through [-Wimplicit-fallthrough=]
     p = pattern_get_char_at_cb(p_at,
     ~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      pattern_get_char_at_cb_data);
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-string-utils.c:322:3: note: here
    default:
    ^~~~~~~
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-probes.o
 In file included from /var/lib/dkms/lttng-modules/2.10.8/build/probes/../probes/define_trace.h:100:0,
                  from /var/lib/dkms/lttng-modules/2.10.8/build/probes/../instrumentation/events/lttng-module/timer.h:354,
                  from /var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-timer.c:43:
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/../probes/lttng-tracepoint-event-impl.h:143:6: error: conflicting types for 'trace_timer_expire_entry'
  void trace_##_name(_proto);
       ^
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/../probes/lttng-tracepoint-event-impl.h:55:2: note: in expansion of macro 'LTTNG_TRACEPOINT_EVENT_INSTANCE_MAP'
   LTTNG_TRACEPOINT_EVENT_INSTANCE_MAP(map, name, map, PARAMS(proto), PARAMS(args))
   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/../probes/lttng-tracepoint-event-impl.h:97:2: note: in expansion of macro 'LTTNG_TRACEPOINT_EVENT_MAP'
   LTTNG_TRACEPOINT_EVENT_MAP(name, name, \
   ^~~~~~~~~~~~~~~~~~~~~~~~~~
 /var/lib/dkms/lttng-modules/2.10.8/build/probes/../instrumentation/events/lttng-module/timer.h:96:1: note: in expansion of macro 'LTTNG_TRACEPOINT_EVENT'
  LTTNG_TRACEPOINT_EVENT(timer_expire_entry,
  ^~~~~~~~~~~~~~~~~~~~~~
 In file included from ./include/trace/events/timer.h:8:0,
                  from /var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-timer.c:32:
 ./include/linux/tracepoint.h:233:21: note: previous definition of 'trace_timer_expire_entry' was here
   static inline void trace_##name(proto) \
                      ^
 ./include/linux/tracepoint.h:396:2: note: in expansion of macro '__DECLARE_TRACE'
   __DECLARE_TRACE(name, PARAMS(proto), PARAMS(args), \
   ^~~~~~~~~~~~~~~
 ./include/linux/tracepoint.h:532:2: note: in expansion of macro 'DECLARE_TRACE'
   DECLARE_TRACE(name, PARAMS(proto), PARAMS(args))
   ^~~~~~~~~~~~~
 ./include/trace/events/timer.h:90:1: note: in expansion of macro 'TRACE_EVENT'
  TRACE_EVENT(timer_expire_entry,
  ^~~~~~~~~~~
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/prio_heap/lttng_prio_heap.o
 scripts/Makefile.build:288: recipe for target '/var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-timer.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.8/build/probes/lttng-probe-timer.o] Error 1
 make[2]: *** Waiting for unfinished jobs....
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lib/../wrapper/splice.o
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-abi.c: In function 'lttng_abi_create_channel':
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-abi.c:434:15: warning: comparison of constant '2147483647' with boolean expression is always false [-Wbool-compare]
    1, INT_MAX) == INT_MAX) {
                ^~
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-abi.c: In function 'lttng_abi_create_event':
 /var/lib/dkms/lttng-modules/2.10.8/build/lttng-abi.c:1043:15: warning: comparison of constant '2147483647' with boolean expression is always false [-Wbool-compare]
    1, INT_MAX) == INT_MAX) {
                ^~
 /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_splice.c:59:3: error: 'const struct pipe_buf_operations' has no member named 'can_merge'
   .can_merge = 0,
    ^~~~~~~~~
 scripts/Makefile.build:288: recipe for target '/var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_splice.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_splice.o] Error 1
 make[2]: *** Waiting for unfinished jobs....
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-context.o
 /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_mmap.c:85:11: error: initialization from incompatible pointer type [-Werror=incompatible-pointer-types]
   .fault = lib_ring_buffer_fault,
            ^~~~~~~~~~~~~~~~~~~~~
 /var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_mmap.c:85:11: note: (near initialization for 'lib_ring_buffer_mmap_ops.fault')
 cc1: some warnings being treated as errors
 scripts/Makefile.build:288: recipe for target '/var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_mmap.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.8/build/lib/ringbuffer/ring_buffer_mmap.o] Error 1
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-context-pid.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-context-procname.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-context-prio.o
   CC [M] /var/lib/dkms/lttng-modules/2.10.8/build/lttng-context-nice.o
 scripts/Makefile.build:519: recipe for target '/var/lib/dkms/lttng-modules/2.10.8/build/lib' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.8/build/lib] Error 2
 make[1]: *** Waiting for unfinished jobs....
 cc1: some warnings being treated as errors
 scripts/Makefile.build:288: recipe for target '/var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.o' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.8/build/lttng-events.o] Error 1
 scripts/Makefile.build:519: recipe for target '/var/lib/dkms/lttng-modules/2.10.8/build/probes' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.8/build/probes] Error 2
 Makefile:1653: recipe for target '_module_/var/lib/dkms/lttng-modules/2.10.8/build' failed
 make: *** [_module_/var/lib/dkms/lttng-modules/2.10.8/build] Error 2

Po-Hsu Lin (cypressyew) on 2019-09-20
tags: added: arm64 i386 ubuntu-lttng-smoke-test
summary: - ubuntu_lttng_smoke_test failed with module build on B-hwe-edge
+ ubuntu_lttng_smoke_test failed with module build on B-hwe-edge 5.3.0
Po-Hsu Lin (cypressyew) wrote :

Issue found on B-GCP-5.3.

tags: added: sru-20191021
tags: added: gcp
Marcelo Cerri (mhcerri) on 2019-11-22
Changed in lttng-modules (Ubuntu):
assignee: nobody → Marcelo Cerri (mhcerri)
status: New → In Progress
description: updated
Marcelo Cerri (mhcerri) wrote :
Tyler Hicks (tyhicks) on 2019-11-22
Changed in lttng-modules (Ubuntu Bionic):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Marcelo Cerri (mhcerri)
Changed in lttng-modules (Ubuntu):
status: In Progress → Invalid

Hello Po-Hsu, or anyone else affected,

Accepted lttng-modules into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lttng-modules/2.10.8-1ubuntu2~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in lttng-modules (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic

All autopkgtests for the newly accepted lttng-modules (2.10.8-1ubuntu2~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

lttng-modules/2.10.8-1ubuntu2~18.04.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#lttng-modules

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Po-Hsu Lin (cypressyew) wrote :

Tested again with 5.3.0, test passed as expected.

Thanks!

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Sean Feole (sfeole) on 2019-12-02
tags: added: aws azure sru-20191111
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers